LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
AnimationRestart.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::animations
| interfaces for SMIL animations.

## Constant Groups
constants | com::sun::star::animations::AnimationRestart
| defines the restart behavior

## Variables
const short | DEFAULT = 0
| The restart behavior for the element is determined by the value of the XTiming::RestartDefault attribute. More...
const short | INHERIT = 0
| Specifies that the value of this attribute (and of the restart behavior) are inherited from the XTiming::RestartDefault value of the parent element. More...
const short | ALWAYS = 1
| The element can be restarted at any time. More...
const short | WHEN_NOT_ACTIVE = 2
| The element can only be restarted when it is not active (i.e. More...
const short | NEVER = 3
| The element cannot be restarted for the remainder of the current simple duration of the parent time container. More...